import request from '@/utils/request'
/**
 * 条件查询
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function mpprodplanQuery(data) {
  return request({
    url: '/api/txzz/mpProdPlan/getList',
    method: 'post',
    data
  })
}

/**
 * 修改添加
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function mpprodplanupdate(data) {
  return request({
    url: '/api/txzz/mpProdPlan/insertOrUpdate',
    method: 'post',
    data
  })
}

/**
 * 删除
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function mpprodplandelect(data) {
  return request({
    url: '/api/txzz/mpProdPlan/removeById',
    method: 'post',
    data
  })
}

/**
 * 船只编号
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function queryProject(data) {
  return request({
    url: '/api/gj/dmProject/getpro',
    method: 'post',
    data
  })
}

/**
 * 导入生产计划
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function mpprodplanUploadExcel(data) {
  return request({
    url: '/api/txzz/mpProdPlan/uploadExcel',
    method: 'post',
    data
  })
}

/**
 * 提交
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function mpprodplanOrder(data) {
  return request({
    url: '/api/txzz/mpProdPlan/changeStatusTJ',
    method: 'post',
    data
  })
}

/**
 * 审核
 * @param {*} data
 * @returns {import('axios').AxiosPromise}
 */
export function mpprodplanCheck(data) {
  return request({
    url: '/api/txzz/mpProdPlan/changeStatusSH',
    method: 'post',
    data
  })
}


